# Constant Field Values

## Contents

- net.shibboleth.*

## net.shibboleth.*

net.shibboleth.profile.installablecomponent.InstallableComponentSupport
Modifier and Type
Constant Field
Value
`public static final String`
`AVAILABLE_VERSIONS_PROPERTY_SUFFIX`
`".versions"`
`public static final String`
`BASE_NAME_INTERFIX`
`".baseName."`
`public static final String`
`DOWNLOAD_URL_INTERFIX`
`".downloadURL."`
`public static final String`
`MAX_IDP_VERSION_INTERFIX`
`".idpVersionMax."`
`public static final String`
`MIN_IDP_VERSION_INTERFIX`
`".idpVersionMin."`
`public static final String`
`SUPPORT_LEVEL_INTERFIX`
`".supportLevel."`
`public static final String`
`VERSION_PATTERN`
`"%{version}"`
`public static final String`
`VERSION_PATTERN_REGEX`
`"\\%\\{version\\}"`
net.shibboleth.profile.installablecomponent.InstallableComponentVersion
Modifier and Type
Constant Field
Value
`private static final int`
`MAX_VNO`
`29000`

net.shibboleth.profile.module.ModuleException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-7752907205901300896L`
net.shibboleth.profile.module.PropertyDrivenModule
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_RESOURCE`
`"module.properties"`
`public static final String`
`MODULE_DESC_PROPERTY`
`".desc"`
`public static final String`
`MODULE_DEST_PROPERTY`
`".dest"`
`public static final String`
`MODULE_EXEC_PROPERTY`
`".exec"`
`public static final String`
`MODULE_LANGS_PROPERTY`
`".langs"`
`public static final String`
`MODULE_NAME_PROPERTY`
`".name"`
`public static final String`
`MODULE_NONWINDOWS_PROPERTY`
`".nonwindows"`
`public static final String`
`MODULE_OPTIONAL_PROPERTY`
`".optional"`
`public static final String`
`MODULE_PLUGIN_PROPERTY`
`".plugin"`
`public static final String`
`MODULE_POSTDISABLE_PROPERTY`
`".postdisable"`
`public static final String`
`MODULE_POSTENABLE_PROPERTY`
`".postenable"`
`public static final String`
`MODULE_REPLACE_PROPERTY`
`".replace"`
`public static final String`
`MODULE_SRC_PROPERTY`
`".src"`
`public static final String`
`MODULE_URL_PROPERTY`
`".url"`
`public static final String`
`MODULE_WINDOWS_PROPERTY`
`".windows"`

net.shibboleth.profile.plugin.PluginException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-2356509887689187370L`
net.shibboleth.profile.plugin.PropertyDrivenPlugin<T extends Module>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_RESOURCE`
`"plugin.properties"`
`public static final String`
`PLUGIN_ID_PROPERTY`
`"plugin.id"`
`public static final String`
`PLUGIN_LICENSE_PROPERTY`
`"plugin.license"`
`public static final String`
`PLUGIN_MODULE_URL_PROPERTY`
`"plugin.module.url."`
`public static final String`
`PLUGIN_PACKAGE_DESTNATION_PROPERTY`
`".destination"`
`public static final String`
`PLUGIN_PACKAGE_NONWINDOWS_PROPERTY`
`".nonwindows"`
`public static final String`
`PLUGIN_PACKAGE_PROPERTY`
`"plugin.package."`
`public static final String`
`PLUGIN_PACKAGE_SOURCE_PROPERTY`
`".source"`
`public static final String`
`PLUGIN_PACKAGE_STRIP_TLD_PROPERTY`
`".stripTopLevelDir"`
`public static final String`
`PLUGIN_PACKAGE_WINDOWS_PROPERTY`
`".windows"`
`public static final String`
`PLUGIN_REQ_MODULES_PROPERTY`
`"plugin.modules.required"`
`public static final String`
`PLUGIN_URL_PROPERTY`
`"plugin.url."`
`public static final String`
`PLUGIN_VERSION_PROPERTY`
`"plugin.version"`

net.shibboleth.profile.relyingparty.impl.DefaultRelyingPartyConfigurationResolver
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_RELYING_PARTY_COUNTER`
`"shibboleth.DefaultRelyingParty"`
`private static final String`
`UNVERIFIED_RELYING_PARTY_COUNTER`
`"shibboleth.UnverifiedRelyingParty"`

net.shibboleth.profile.spring.impl.OpenSAMLConfigBean
Modifier and Type
Constant Field
Value
`private static final String`
`JAXP_FEATURE_DEFER_NODE_EXPANSION`
`"http://apache.org/xml/features/dom/defer-node-expansion"`

net.shibboleth.saml.saml1.profile.config.ArtifactResolutionProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml1/query/artifact"`
net.shibboleth.saml.saml1.profile.config.AttributeQueryProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml1/query/attribute"`
net.shibboleth.saml.saml1.profile.config.BrowserSSOProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml1/sso/browser"`

net.shibboleth.saml.saml2.profile.config.ArtifactResolutionProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml2/query/artifact"`
net.shibboleth.saml.saml2.profile.config.AttributeQueryProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml2/query/attribute"`
net.shibboleth.saml.saml2.profile.config.BrowserSSOProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`FEATURE_AUTHNCONTEXT`
`1`
`public static final int`
`FEATURE_FORCEAUTHN`
`16`
`public static final int`
`FEATURE_NAMEIDFORMAT`
`4`
`public static final int`
`FEATURE_SCOPING`
`2`
`public static final int`
`FEATURE_SPNAMEQUALIFIER`
`8`
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml2/sso/browser"`
net.shibboleth.saml.saml2.profile.config.ECPProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml2/sso/ecp"`
net.shibboleth.saml.saml2.profile.config.SingleLogoutProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/saml2/logout"`